# Variable compositions`Const`

compositions: {
fission(settings: Configuration & {
crypto?: Crypto.Implementation;
disableWnfs?: boolean;
manners?: Manners.Implementation;
staging?: boolean;
storage?: Storage.Implementation;
}): Promise<Components>;
} = ...

Full component sets.

#### Type declaration

- ##### fission:function

  - fission(settings: Configuration & {
    crypto?: Crypto.Implementation;
    disableWnfs?: boolean;
    manners?: Manners.Implementation;
    staging?: boolean;
    storage?: Storage.Implementation;
    }): Promise<Components>

  - The default Fission stack using web crypto auth.

    #### Parameters

    - ##### settings: Configuration & {
      crypto?: Crypto.Implementation;
      disableWnfs?: boolean;
      manners?: Manners.Implementation;
      staging?: boolean;
      storage?: Storage.Implementation;
      }

    #### Returns Promise<Components>

    - Defined in index.ts:479

- Defined in index.ts:475

Generated using TypeDoc